import 'package:flutter/material.dart';

class ReferenceNumber extends StatelessWidget {
  final String number;

  const ReferenceNumber({Key key, this.number}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    List<Widget> boxes = [];
    for (var value in number.split('')) {
      boxes.add(Container(
        width: 35,
        height: 50,
        decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(4.0),
            border: Border.all(color: Color(0x508F9BAA), width: 2)),
        child: Text(
          value,
          textAlign: TextAlign.center,
          style: TextStyle(
              fontSize: 28,
              height: 1.4,
              fontWeight: FontWeight.w500,
              color: Color(0x75000000)),
        ),
      ));
    }
    return Container(
      padding: EdgeInsets.symmetric(horizontal: 20, vertical: 10),
      child: Row(
        crossAxisAlignment: CrossAxisAlignment.start,
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: boxes,
      ),
    );
  }
}
