import 'package:flutter/cupertino.dart';

class MedaPayPayment {
  String orderId;
  String customerName;
  String accountNumber;
  String description;
  double amount;
  String callbackUrl;
  String cancelUrl;
  String currency;

  MedaPayPayment(
      {@required this.orderId,
      @required this.customerName,
      @required this.accountNumber,
      @required this.description,
      @required this.amount,
      this.currency,
      @required this.callbackUrl,
      @required this.cancelUrl});

  Map<String, dynamic> toJson() => {
        'phoneNumber': accountNumber,
        'customerName': customerName,
        'paymentLabel': description,
        'amount': amount,
        'paymentType': 'general'
      };

  Map<String, dynamic> toRequestJson() => {
        "purchaseDetails": {
          "orderId": orderId,
          "description": description,
          "amount": amount,
          "customerName": customerName,
          "customerPhoneNumber": accountNumber
        },
        "redirectUrls": {
          "returnUrl": "",
          "cancelUrl": cancelUrl,
          "callbackUrl": callbackUrl
        }
      };
}
