import 'dart:convert';

import 'package:http/http.dart' as http;
import 'package:medapay/entity.dart';

class MedaPayService {
  final bool _isSandbox;
  final String _authToken;

  MedaPayService(this._isSandbox, this._authToken);

  String getUrl() {
    return _isSandbox
        ? 'http://192.168.1.5/' //'https://api.sandbox.pay.meda.chat/'
        : 'https://api.pay.meda.chat/';
  }

  String getAuthToken() {
    return _authToken;
  }

  Future<http.Response> createBill(MedaPayPayment payment) async {
    print(jsonEncode(payment.toRequestJson()));
    return await http.post(getUrl() + "api/bills",
        headers: {
          "Authorization": "Bearer " + _authToken,
          "Content-Type": "application/json",
        },
        body: jsonEncode(payment.toRequestJson()));
  }

  Future<http.Response> fetchBill(String referenceNumber) async {
    return await http.get(getUrl() + "api/bills/$referenceNumber", headers: {
      "Authorization": "Bearer " + _authToken,
      "Content-Type": "application/json",
    });
  }
}
